package ctbrec.image;

import java.io.IOException;
import java.util.Optional;

public interface PortraitStore {

    String FORMAT = "jpg";

    Optional<byte[]> loadModelPortraitById(String id) throws IOException;

    Optional<byte[]> loadModelPortraitByModelUrl(String modelUrl) throws IOException;

    //void writePortrait(String id, byte[] data) throws IOException;
    void writePortrait(String modelUrl, byte[] data) throws IOException;

    void removePortrait(String modelUrl) throws IOException;
}
